<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpItemComboBox: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimpui.html" title="Part II. GIMP User Interface Library">
<link rel="prev" href="GimpZoomPreview.html" title="GimpZoomPreview">
<link rel="next" href="GimpImageComboBox.html" title="GimpImageComboBox">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#libgimp-GimpItemComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#libgimp-GimpItemComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#libgimp-GimpItemComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpui.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpZoomPreview.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpImageComboBox.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="libgimp-GimpItemComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="libgimp-GimpItemComboBox.top_of_page"></a>GimpItemComboBox</span></h2>
<p>GimpItemComboBox — Widgets providing popup menus of items.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<span class="c_punctuation">(</span><a class="link" href="libgimp-GimpItemComboBox.html#GimpItemConstraintFunc" title="GimpItemConstraintFunc ()">*GimpItemConstraintFunc</a><span class="c_punctuation">)</span> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimp-GimpItemComboBox.html#gimp-drawable-combo-box-new" title="gimp_drawable_combo_box_new ()">gimp_drawable_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimp-GimpItemComboBox.html#gimp-channel-combo-box-new" title="gimp_channel_combo_box_new ()">gimp_channel_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimp-GimpItemComboBox.html#gimp-layer-combo-box-new" title="gimp_layer_combo_box_new ()">gimp_layer_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="libgimp-GimpItemComboBox.html#gimp-vectors-combo-box-new" title="gimp_vectors_combo_box_new ()">gimp_vectors_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GimpDrawableComboBox"></a><a name="GimpChannelComboBox"></a><a name="GimpLayerComboBox"></a><a name="GimpVectorsComboBox"></a><div class="refsect1">
<a name="libgimp-GimpItemComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableComboBox-struct" title="GimpDrawableComboBox">GimpDrawableComboBox</a></td>
</tr>
<tr>
<td class="typedef_keyword">typedef</td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc">GimpDrawableConstraintFunc</a></td>
</tr>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpChannelComboBox-struct" title="GimpChannelComboBox">GimpChannelComboBox</a></td>
</tr>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpLayerComboBox-struct" title="GimpLayerComboBox">GimpLayerComboBox</a></td>
</tr>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpVectorsComboBox-struct" title="GimpVectorsComboBox">GimpVectorsComboBox</a></td>
</tr>
<tr>
<td class="typedef_keyword">typedef</td>
<td class="function_name"><a class="link" href="libgimp-GimpItemComboBox.html#GimpVectorsConstraintFunc" title="GimpVectorsConstraintFunc">GimpVectorsConstraintFunc</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct">GtkComboBox</a>
                            <span class="lineart">╰──</span> <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct">GimpIntComboBox</a>
                                <span class="lineart">├──</span> GimpChannelComboBox
                                <span class="lineart">├──</span> GimpDrawableComboBox
                                <span class="lineart">├──</span> GimpLayerComboBox
                                <span class="lineart">╰──</span> GimpVectorsComboBox
</pre>
</div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpDrawableComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
<p>
GimpChannelComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
<p>
GimpLayerComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
<p>
GimpVectorsComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.description"></a><h2>Description</h2>
<p>Widgets providing popup menus of items (layers, channels,
drawables, vectors).</p>
</div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="GimpItemConstraintFunc"></a><h3>GimpItemConstraintFunc ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
<span class="c_punctuation">(</span>*GimpItemConstraintFunc<span class="c_punctuation">)</span> (<em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint32"><span class="type">gint32</span></a> image_id</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint32"><span class="type">gint32</span></a> item_id</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-drawable-combo-box-new"></a><h3>gimp_drawable_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_drawable_combo_box_new (<em class="parameter"><code><a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> constraint</code></em>,
                             <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Creates a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a> filled with all currently opened
drawables. If a <em class="parameter"><code>constraint</code></em>
 function is specified, it is called for
each drawable and only if the function returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, the drawable
is added to the combobox.</p>
<p>You should use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-connect"><code class="function">gimp_int_combo_box_connect()</code></a> to initialize and connect
the combo.  Use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-set-active"><code class="function">gimp_int_combo_box_set_active()</code></a> to get the active
drawable ID and <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-get-active"><code class="function">gimp_int_combo_box_get_active()</code></a> to retrieve the ID
of the selected drawable.</p>
<div class="refsect3">
<a name="gimp-drawable-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>constraint</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>a pointer that is passed to <em class="parameter"><code>constraint</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-drawable-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-channel-combo-box-new"></a><h3>gimp_channel_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_channel_combo_box_new (<em class="parameter"><code><a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> constraint</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Creates a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a> filled with all currently opened
channels. See <a class="link" href="libgimp-GimpItemComboBox.html#gimp-drawable-combo-box-new" title="gimp_drawable_combo_box_new ()"><code class="function">gimp_drawable_combo_box_new()</code></a> for more information.</p>
<div class="refsect3">
<a name="gimp-channel-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>constraint</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>a pointer that is passed to <em class="parameter"><code>constraint</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-channel-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-layer-combo-box-new"></a><h3>gimp_layer_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_layer_combo_box_new (<em class="parameter"><code><a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> constraint</code></em>,
                          <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Creates a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a> filled with all currently opened
layers. See <a class="link" href="libgimp-GimpItemComboBox.html#gimp-drawable-combo-box-new" title="gimp_drawable_combo_box_new ()"><code class="function">gimp_drawable_combo_box_new()</code></a> for more information.</p>
<div class="refsect3">
<a name="gimp-layer-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>constraint</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-GimpItemComboBox.html#GimpDrawableConstraintFunc" title="GimpDrawableConstraintFunc"><span class="type">GimpDrawableConstraintFunc</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>a pointer that is passed to <em class="parameter"><code>constraint</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-layer-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-vectors-combo-box-new"></a><h3>gimp_vectors_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_vectors_combo_box_new (<em class="parameter"><code><a class="link" href="libgimp-GimpItemComboBox.html#GimpVectorsConstraintFunc" title="GimpVectorsConstraintFunc"><span class="type">GimpVectorsConstraintFunc</span></a> constraint</code></em>,
                            <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a> data</code></em>);</pre>
<p>Creates a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a> filled with all currently opened
vectors objects. If a <em class="parameter"><code>constraint</code></em>
 function is specified, it is called for
each vectors object and only if the function returns <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>, the vectors
object is added to the combobox.</p>
<p>You should use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-connect"><code class="function">gimp_int_combo_box_connect()</code></a> to initialize and connect
the combo.  Use <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-set-active"><code class="function">gimp_int_combo_box_set_active()</code></a> to set the active
vectors ID and <a href="../html/GimpIntComboBox.html#gimp-int-combo-box-get-active"><code class="function">gimp_int_combo_box_get_active()</code></a> to retrieve the ID
of the selected vectors object.</p>
<div class="refsect3">
<a name="gimp-vectors-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>constraint</p></td>
<td class="parameter_description"><p>a <a class="link" href="libgimp-GimpItemComboBox.html#GimpVectorsConstraintFunc" title="GimpVectorsConstraintFunc"><span class="type">GimpVectorsConstraintFunc</span></a> or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>data</p></td>
<td class="parameter_description"><p>a pointer that is passed to <em class="parameter"><code>constraint</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-vectors-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a href="../html/GimpIntComboBox.html#GimpIntComboBox-struct"><span class="type">GimpIntComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="libgimp-GimpItemComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpDrawableComboBox-struct"></a><h3>GimpDrawableComboBox</h3>
<pre class="programlisting">typedef struct _GimpDrawableComboBox GimpDrawableComboBox;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpDrawableConstraintFunc"></a><h3>GimpDrawableConstraintFunc</h3>
<pre class="programlisting">typedef GimpItemConstraintFunc GimpDrawableConstraintFunc;
</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpChannelComboBox-struct"></a><h3>GimpChannelComboBox</h3>
<pre class="programlisting">typedef struct _GimpChannelComboBox GimpChannelComboBox;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpLayerComboBox-struct"></a><h3>GimpLayerComboBox</h3>
<pre class="programlisting">typedef struct _GimpLayerComboBox GimpLayerComboBox;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpVectorsComboBox-struct"></a><h3>GimpVectorsComboBox</h3>
<pre class="programlisting">typedef struct _GimpVectorsComboBox GimpVectorsComboBox;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpVectorsConstraintFunc"></a><h3>GimpVectorsConstraintFunc</h3>
<pre class="programlisting">typedef GimpItemConstraintFunc GimpVectorsConstraintFunc;
</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>